!-------------------
!  definition du champ de vitesse (vx,vy)
!-------------------

module mod_vitesse

  use mod_precision

contains

function vx(x,y)
  
  implicit none
    
  real(pr), intent(in) :: x,y
  real(pr) :: vx

  !--- definition de vx
  
  !- exemple 1 : profil parabolique
  vx=1-y**2

!!$  !- exemple 2 : rotation rigide
!!$  vx=-y

end function vx


function vy(x,y)
  
  implicit none
    
  real(pr), intent(in) :: x,y
  real(pr) :: vy

  !--- definition de vy

  !- exemple 1 :  profil parabolique en x
  vy=0._pr

!!$  !- exemple 2 : rotation rigide
!!$  vy=x-0.5_pr

end function vy


end module mod_vitesse
